# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sat Jan 23 14:41:17 2021
# ------------------------------------------------

package:
  name: gts
  version: 0.7.6
source:
  - patches:
      - config.in.win32.patch
    sha256: 059c3e13e3e3b796d775ec9f96abdce8f2b3b5144df8514eda0cc12e13e8b81e
    url: http://downloads.sourceforge.net/gts/gts-0.7.6.tar.gz
  - path: CMakeLists.txt
build:
  number: '2'
  run_exports:
    - gts >=0.7.6,<0.8.0a0
  string: h64030ff_2
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.35.1 h193b22a_1
    - binutils_linux-64 2.35 hc3fd857_29
    - gcc_impl_linux-64 9.3.0 h70c0ae5_18
    - gcc_linux-64 9.3.0 h7247604_29
    - gnuconfig 2020.11.07 hd8ed1ab_0
    - gxx_impl_linux-64 9.3.0 hd87eabc_18
    - gxx_linux-64 9.3.0 h0d07fa4_29
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.35.1 hea4e1c9_1
    - libgcc-devel_linux-64 9.3.0 h7864c58_18
    - libgcc-ng 9.3.0 h2828fa1_18
    - libgomp 9.3.0 h2828fa1_18
    - libstdcxx-devel_linux-64 9.3.0 hb016644_18
    - libstdcxx-ng 9.3.0 h6de172a_18
    - make 4.3 hd18ef5c_1
    - pkg-config 0.29.2 h36c2ea0_1008
    - sysroot_linux-64 2.12 h77966d4_13
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2020.12.5 ha878542_0
    - gettext 0.19.8.1 h0b5b191_1005
    - glib 2.66.4 hc4f0c31_2
    - glib-tools 2.66.4 hc4f0c31_2
    - ld_impl_linux-64 2.35.1 hea4e1c9_1
    - libffi 3.3 h58526e2_2
    - libgcc-ng 9.3.0 h2828fa1_18
    - libglib 2.66.4 h748fe8e_2
    - libgomp 9.3.0 h2828fa1_18
    - libiconv 1.16 h516909a_0
    - libstdcxx-ng 9.3.0 h6de172a_18
    - ncurses 6.2 h58526e2_4
    - openssl 1.1.1i h7f98852_0
    - pcre 8.44 he1b5a44_0
    - python 3.9.1 hffdb5ce_3_cpython
    - readline 8.0 he28a2e2_2
    - sqlite 3.34.0 h74cdb3f_0
    - tk 8.6.10 h21135ba_1
    - tzdata 2020f he74cb21_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  run:
    - libgcc-ng >=9.3.0
    - libglib >=2.66.4,<3.0a0
    - libstdcxx-ng >=9.3.0
test:
  commands:
    - test -f ${PREFIX}/lib/libgts.so
about:
  home: http://gts.sourceforge.net/
  license: LGPL-2.0-or-later
  license_file: COPYING
  summary: 'GNU Triangulated Surface Library

    '
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - seanyen
    - traversaro
